Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1599539 - Rebuild with wxWidgets 3.0
Summary: Rebuild with wxWidgets 3.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: codeblocks
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Lody
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 03:36 UTC by Scott Talbert
Modified: 2018-12-23 02:52 UTC (History)
2 users (show)

Fixed In Version: codeblocks-17.12-9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-23 02:52:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Scott Talbert 2018-07-10 03:36:45 UTC
wxWidgets 2.8 was last updated in 2011 and is intended to be retired soon.  Please update to wxWidgets 3.0.

Pull request:
https://src.fedoraproject.org/rpms/codeblocks/pull-request/1

Comment 1 Jens Lody 2018-07-11 05:10:46 UTC
I'm aware of the pull request.
But I'm currently really, really busy at work so everything took a little longer, sorry.

Unfortunately C::B had several issues with wx3+, so I did not change it.

But we made a good progress upstream, and I will hopefully update it soon.
But I'm not sure if should I do a snapshot-build or one from release sources.
I will do a scratch- (or local-) build to test it.

Comment 2 Scott Talbert 2018-07-12 22:43:44 UTC
(In reply to Jens Lody from comment #1)
> I'm aware of the pull request.
> But I'm currently really, really busy at work so everything took a little
> longer, sorry.
> 
> Unfortunately C::B had several issues with wx3+, so I did not change it.
> 
> But we made a good progress upstream, and I will hopefully update it soon.
> But I'm not sure if should I do a snapshot-build or one from release sources.
> I will do a scratch- (or local-) build to test it.

No problem, sorry to bug you multiple times.  I was hoping to get wxWidgets 2.8 retired by F29 branch point, but there's still a lot of packages to move over.  :)

Comment 3 Jan Kurik 2018-08-14 09:54:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Scott Talbert 2018-08-28 02:55:40 UTC
Any update?

Comment 5 Scott Talbert 2018-11-07 01:23:03 UTC
Ping?

Comment 6 Jens Lody 2018-11-08 16:41:34 UTC
It's not forgotten.
Unfortunately the build with wx3.0 breaks the toolbar-dragging on wayland.
And I don't think I find the time to work on a proper fix, it most probably needs a switch to wxAuiToolbar, what needs a fix in many plugins and in the core.

To be honest, I think about orphaning all my Fedora packages, because I just don't have the power to work on them as I should at the moment.

Comment 7 Scott Talbert 2018-11-09 00:23:09 UTC
(In reply to Jens Lody from comment #6)
> It's not forgotten.
> Unfortunately the build with wx3.0 breaks the toolbar-dragging on wayland.
> And I don't think I find the time to work on a proper fix, it most probably
> needs a switch to wxAuiToolbar, what needs a fix in many plugins and in the
> core.
> 
> To be honest, I think about orphaning all my Fedora packages, because I just
> don't have the power to work on them as I should at the moment.

I understand.  Too much work and too little time.  :(

On the Wayland issue, if it only happens on Wayland, I can think of two possible workarounds - 1) force X11 when starting the application or 2) build with the GTK+2 wxWidgets 3.0 which will only use X11.  Let me know if you'd like to try either of these options and I can update the PR.

Comment 8 Fedora Update System 2018-12-05 09:35:10 UTC
codeblocks-17.12-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e3d8fcf53

Comment 9 Fedora Update System 2018-12-06 02:27:15 UTC
codeblocks-17.12-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e3d8fcf53

Comment 10 Fedora Update System 2018-12-07 07:35:04 UTC
codeblocks-17.12-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-deee150c92

Comment 11 Fedora Update System 2018-12-23 02:52:38 UTC
codeblocks-17.12-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.